# Create your views here.


from django.http import Http404

from django.contrib.gis.maps.google import GoogleMap, GoogleZoom

from foss4g.geoapp.models import City, County, State


def city(request, id):
    city = get_object_or 404(City, pk=id)
    gmap_kwargs = ('center_lat' : centroid.y,
                   'center_lon' : centroid.x,
                   'zoom' : gz.get_zoom(city.poly),
                   'kml_urls' : ['http://localhost/kml/city/%s/' % str(id)],)


    return render_geoapp('geoapp.html',
                         'google' : GoogleMap(**gmap_kwargs),)


def county(request, id):
    county = get_object_or 404(County, pk=id)
    gmap_kwargs = ('center_lat' : centroid.y,
                   'center_lon' : centroid.x,
                   'zoom' : gz.get_zoom(county.poly),
                   'kml_urls' : ['http://localhost/kml/county/%s/' % str(id)],)


    return render_geoapp('geoapp.html',
                         'google' : GoogleMap(**gmap_kwargs),)



def state(request, id):
    state = get_object_or 404(State, pk=id)
    gmap_kwargs = ('center_lat' : centroid.y,
                   'center_lon' : centroid.x,
                   'zoom' : gz.get_zoom(state.poly),
                   'kml_urls' : ['http://localhost/kml/state/%s/' % str(id)],)


    return render_geoapp('geoapp.html',
                         'google' : GoogleMap(**gmap_kwargs),)







